<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <xsd:complexType name="DataBaseType">
    <xsd:sequence>
      <xsd:element name="init-base" type="InitBaseType"/>
      <xsd:element name="import-path" type="xsd:string"/>
      <xsd:element name="connection">
      	<xsd:complexType>
      		<xsd:attribute name="login" type="xsd:string" use="required"></xsd:attribute>
      		<xsd:attribute name="pass" type="xsd:string" use="required"></xsd:attribute>
      	</xsd:complexType>
      </xsd:element>
    </xsd:sequence>
    <xsd:attribute name="path" type="xsd:string" default="/dbs"/>
    <xsd:attribute name="name" type="xsd:string" default="uv"/>
  </xsd:complexType>
  <xsd:complexType name="InitBaseType">
    <xsd:sequence>
      <xsd:element name="constants-name" type="xsd:string"/>
      <xsd:element name="orgUnit-name" type="xsd:string"/>
    </xsd:sequence>
    <xsd:attribute name="path" type="xsd:string" default="/initDb"/>
  </xsd:complexType>
  <xsd:complexType name="XslType">
    <xsd:sequence>
      <xsd:element name="sof-to-cdm" type="xsd:string"/>
      <xsd:element name="dom-to-pdf" type="xsd:string"/>
      <xsd:element name="sof-to-orgUnit" type="xsd:string"/>
      <xsd:element name="extract-program" type="xsd:string"/>
      <xsd:element name="cdm-to-oai" type="xsd:string"/>
      <xsd:element name="constants-to-listSets" type="xsd:string"/>
      <xsd:element name="slight-cdm" type="xsd:string"/>
      <xsd:element name="cdm-document">
      	<xsd:complexType>
      		<xsd:attribute name="metaDataLocation" type="xsd:string" use="required"></xsd:attribute>
      	</xsd:complexType>
      </xsd:element>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="LuceneConfigType">
    <xsd:sequence>
      <xsd:element name="file-name" type="xsd:string"/>
      <xsd:element name="year-search" type="xsd:string"/>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="ViewType">
    <xsd:sequence>
      <xsd:element name="profil-name" type="xsd:string"/>
      <xsd:element name="pas">
      	<xsd:complexType>
      		<xsd:attribute name="activated" type="xsd:boolean" use="optional" default="true"></xsd:attribute>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="default-xsl" type="xsd:string"/>
	  <xsd:element name="lang" type="xsd:string"/>
      <xsd:element name="affiche-mode" type="xsd:string"/>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="CatalogWebServiceType">
    <xsd:sequence>
      <xsd:element name="max-sessions" type="xsd:string"/>
      <xsd:element name="minutes-out-session" type="xsd:string"/>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:element name="uniform">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element name="data-base" type="DataBaseType"/>
        <xsd:element name="xsl" type="XslType"/>
        <xsd:element name="lucene-config" type="LuceneConfigType"/>
        <xsd:element name="view" type="ViewType"/>
        <xsd:element name="catalog-web-service" type="CatalogWebServiceType"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
</xsd:schema>
